aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/pager.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-18 14:35:16 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-18 14:35:16 +1200
commit4f9541f1f5e193e252a890062cd01970f2204619 (patch)
treedf091379910710735c2f8db961ecbcc28cd3dd25 /sh/profile.d/pager.sh
parentUpdate submodules (diff)
downloaddotfiles-4f9541f1f5e193e252a890062cd01970f2204619.tar.gz
dotfiles-4f9541f1f5e193e252a890062cd01970f2204619.zip
Suppress stderr from command -v checks
Now I remember--old Bash prints failure messages to stderr for this call. That'll be why I was suppressing both streams initially.
Diffstat (limited to 'sh/profile.d/pager.sh')
-rw-r--r--sh/profile.d/pager.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/profile.d/pager.sh b/sh/profile.d/pager.sh
index a74e6aa1..f0c4fab4 100644
--- a/sh/profile.d/pager.sh
+++ b/sh/profile.d/pager.sh
@@ -1,6 +1,6 @@
# If we don't have less(1), we'll just use whatever pager the application or
# system deems fit
-command -v less >/dev/null || return
+command -v less >/dev/null 2>&1 || return
# Use less(1) as my PAGER
PAGER=less